<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Login Page</title>
</head>
<body>
    <h1>Login Page</h1>
    <div sec:authorize="not isAuthenticated()">
        <form th:action="@{/auth}" method="post">
            <div style="float: left; width: 100%">Username: <input name="username" type="text"/></div>
            <div style="float: left; width: 100%">Password: <input name="password" type="password"/></div>
            <div style="float: left; width: 100%"><input type="submit" value="Log Me In"/></div>
        </form>
    </div>
</body>
</html>
